WITH income_ranges AS
(
	SELECT DISTINCT annual_income_range AS range
	FROM employment
	UNION ALL SELECT 'PHP 10,000,001 or higher'
	UNION ALL SELECT 'PHP 2,500,001 - PHP 5,000,000'
	UNION ALL SELECT 'PHP 8,000,001 - PHP 10,000,000'
)

SELECT income_ranges.range, COUNT(employment.annual_income_satisfaction)
FROM income_ranges
LEFT JOIN employment ON employment.annual_income_range = income_ranges.range
					 AND employment.annual_income_satisfaction = 'I do not earn any income.'
GROUP BY income_ranges.range
ORDER BY income_ranges.range;